#!/home/nop/lua-fltk/flua
w = Fl_Window:new(300,180,"Hi there!")
-- box = Fl_Box:new(FL_UP_BOX, 20,40,260,100, "hello, world!")
box = Fl_Button:new(20,40,260,100, "hello, world!")
box:labelfont(FL_BOLD + FL_ITALIC)
box:labelsize(36)
box:labeltype(FL_SHADOW_LABEL)
w:end_layout()
w:show()
function fltk_dispatch(n) if n.callback then n:callback() end end
function box:callback() fl_alert("hello, world"); end
fl_cb(box)

